Bug 1314154 - [abrt] kmod: depmod_report_cycles(): kmod killed by SIGABRT
[abrt] kmod: depmod_report_cycles(): kmod killed by SIGABRT
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kmod (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kmod development team
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:443b013e39018c07fbca9b692a5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 23:53 EST by Andrew Cook
Modified: 2016-11-08 22:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-08 22:34:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.20 KB, text/plain)
2016-03-02 23:53 EST, Andrew Cook
no flags Details
File: cgroup (259 bytes, text/plain)
2016-03-02 23:53 EST, Andrew Cook
no flags Details
File: core_backtrace (1.89 KB, text/plain)
2016-03-02 23:53 EST, Andrew Cook
no flags Details
File: dso_list (581 bytes, text/plain)
2016-03-02 23:53 EST, Andrew Cook
no flags Details
File: environ (6.86 KB, text/plain)
2016-03-02 23:53 EST, Andrew Cook
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-02 23:53 EST, Andrew Cook
no flags Details
File: maps (3.25 KB, text/plain)
2016-03-02 23:54 EST, Andrew Cook
no flags Details
File: mountinfo (4.16 KB, text/plain)
2016-03-02 23:54 EST, Andrew Cook
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-02 23:54 EST, Andrew Cook
no flags Details
File: open_fds (185 bytes, text/plain)
2016-03-02 23:54 EST, Andrew Cook
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2016-03-02 23:54 EST, Andrew Cook
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-03-02 23:54 EST, Andrew Cook
no flags Details

  None (edit)
Description Andrew Cook 2016-03-02 23:53:46 EST
Description of problem:
Running make module_install on a kernel

https://github.com/01org/Igvtg-kernel/tree/gvt-upstream-rfc
With this patch: http://paste.fedoraproject.org/332609/45698068 to make it actually build

---------
  DEPMOD  4.5.0-rc1-gvt+
depmod: ERROR: Found 6 modules in dependency cycles!
depmod: ERROR: Cycle detected: drm
depmod: ERROR: Cycle detected: i915_gvt -> i915 -> video
depmod: ERROR: Cycle detected: i915_gvt -> i915 -> drm_kms_helper
*** Error in `/sbin/depmod': free(): invalid next size (fast): 0x000055707d2a5f90 ***

Version-Release number of selected component:
kmod-22-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /sbin/depmod -ae -F System.map 4.5.0-rc1-gvt+
crash_function: depmod_report_cycles
executable:     /usr/bin/kmod
global_pid:     29942
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (5 frames)
 #6 depmod_report_cycles at tools/depmod.c:1519
 #7 depmod_calculate_dependencies at tools/depmod.c:1596
 #8 depmod_load at tools/depmod.c:1623
 #9 do_depmod at tools/depmod.c:2592
 #11 _start
Comment 1 Andrew Cook 2016-03-02 23:53:51 EST
Created attachment 1132628 [details]
File: backtrace
Comment 2 Andrew Cook 2016-03-02 23:53:53 EST
Created attachment 1132629 [details]
File: cgroup
Comment 3 Andrew Cook 2016-03-02 23:53:54 EST
Created attachment 1132630 [details]
File: core_backtrace
Comment 4 Andrew Cook 2016-03-02 23:53:56 EST
Created attachment 1132631 [details]
File: dso_list
Comment 5 Andrew Cook 2016-03-02 23:53:58 EST
Created attachment 1132632 [details]
File: environ
Comment 6 Andrew Cook 2016-03-02 23:53:59 EST
Created attachment 1132633 [details]
File: limits
Comment 7 Andrew Cook 2016-03-02 23:54:01 EST
Created attachment 1132634 [details]
File: maps
Comment 8 Andrew Cook 2016-03-02 23:54:02 EST
Created attachment 1132635 [details]
File: mountinfo
Comment 9 Andrew Cook 2016-03-02 23:54:04 EST
Created attachment 1132636 [details]
File: namespaces
Comment 10 Andrew Cook 2016-03-02 23:54:06 EST
Created attachment 1132637 [details]
File: open_fds
Comment 11 Andrew Cook 2016-03-02 23:54:07 EST
Created attachment 1132638 [details]
File: proc_pid_status
Comment 12 Andrew Cook 2016-03-02 23:54:08 EST
Created attachment 1132639 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-07-26 00:31:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 14 Yauheni Kaliuta 2016-10-10 07:27:13 EDT
Is it still possible to reproduce? There must be some memory corruption, but it's not obvious for me, where.

Could you share your kernel config? I've rebuilt the kernel, the HEAD commit is:

commit 687811890d7fd9d29b80df8bd19e91583527157f
Author: Yulei Zhang <yulei.zhang@intel.com>
Date:   Thu Jan 7 13:51:22 2016 +0800

    drm/i915: gvt: vGPU command scanner

it compiles fine with defconfig (not a surprise, the stuff is built in) and complains a lot about symbols if I try to build it as modules.

I also tried to create a synthetic test for the dependency loop, but it works fine (no crash) for my simple case:

depmod: ERROR: Found 3 modules in dependency cycles!
depmod: ERROR: Cycle detected: mod7 -> mod8 -> mod6 -> mod7
zsh: exit 1     depmod -b /tmp/modules 3.10.0-327.el7.x86_64
Comment 15 Yauheni Kaliuta 2016-11-08 21:56:53 EST
The upstream commit https://git.kernel.org/cgit/utils/kernel/kmod/kmod.git/commit/?id=6b77f188969d72254f6bda291f4f2d9fd42f5ecc  most probably fixes the crash.
Comment 16 Andrew Cook 2016-11-08 22:34:50 EST
Looks right

Note You need to log in before you can comment on or make changes to this bug.